[lfs-support] Error while compilating GCC (6.1.0) Pass 1

Pierre Labastie pierre.labastie at neuf.fr
Sun May 22 08:20:12 PDT 2016


On 22/05/2016 12:27, spiky wrote:
> 
> 
> On 22/05/16 10:28, Patrick Roncagliolo wrote:
>> Hello,
>> I'm facing some problems while trying to compile GCC (version 6.1.0) in LFS
>> pass 1 (toolchain). Here are the information that I've collected:
>>
>> >>>../configure --target=$LFS_TGT --prefix=/tools --with-glibc-version=2.11
>> --with-sysroot=$LFS --with-newlib --without-headers
>> --with-local-prefix=/tools --with-native-system-header-dir=/tools/include
>> --disable-nls --disable-shared --disable-multilib --disable-decimal-float
>> --disable-threads --disable-libatomic --disable-libgomp
>> --disable-libquadmath --disable-libssp --disable-libvtv --disable-libstdcxx
>> --enable-languages=c,c++ | grep no

You should have "--disable-libmpx" somewhere in the above command. Aren't you
following the instructions for GCC-5 instead of GCC-6?

Pierre



More information about the lfs-support mailing list